/*
 * SSD1306/SSD1315に７セグメントっぽいフォントで表示
 * 
 */
#ifndef SSD1306_H
#define SSD1306_H
#include <arduino.h>

#define SSD1306_BLACK 0   ///< Draw 'off' pixels
#define SSD1306_WHITE 1   ///< Draw 'on' pixels
#define SSD1306_INVERSE 2 ///< Invert pixels

#ifndef _swap_int8_t
#define _swap_int8_t(a, b) { int8_t t = a; a = b; b = t;}
#endif

class SSD1306
{
  private:
    uint8_t displayBuff[128*8];  // ディスプレイバッファ
    uint8_t bitMapBuff[128] ;    // 転送用バッファ

  public:
    void init(); // 初期化
    void cls(); // 画面クリア
    void disp7SEG(int offsetX , int offsetY , int num); // 7セグメント調フォント表示
    void oledBitMap(int offsetX , int offsetY , int width,int hight, uint8_t bitMap[]); // ビットパターン表示
    void oledBitImage(int offsetX , int offsetY , int width,int hight, const uint8_t bitMap[]) ;
    void drawLine(int16_t x0, int16_t y0, int16_t x1, int16_t y1,uint8_t color) ;
    void drawBox (int16_t x0, int16_t y0, int16_t x1, int16_t y1,uint8_t color) ;
  protected:
    void oledSendCommand(uint8_t command); // OLEDに1バイトコマンドを送信
    void oledSendCommand(uint8_t command,uint8_t data1); // OLEDに2バイトコマンドを送信
    void oledSendCommand(uint8_t command,uint8_t data1,uint8_t data2); // OLEDに3バイトコマンドを送信
    void oledSendCommand(uint8_t command,uint8_t data1,uint8_t data2,uint8_t data3); // OLEDに4バイトコマンドを送信
    void oledSendCommand(uint8_t command,uint8_t data1,uint8_t data2,uint8_t data3,uint8_t data4); // OLEDに4バイトコマンドを送信
    void oledSendCommands(int commandLen,uint8_t commands[]) ;
    void tftFillData(uint8_t fillData);  // 画面を特定のビットバターンで埋める::画面の初期化用
    void drawBuff( ) ;
    void drawFastHLine(int16_t x, int16_t y, int16_t w, uint8_t color);
    void drawFastVLine(int16_t x, int16_t y, int16_t h, uint8_t color);
    
    void drawPixel(int16_t x, int16_t y, uint8_t color);
    void writeLine(int16_t x0, int16_t y0, int16_t x1, int16_t y1, uint8_t color);
} ;
#endif
