#include <Wire.h>
#include "bitmapdata.h"
#include "SSD1306.h"

SSD1306 ssd1306 ;

// ----------------------
// ----- セットアップ -----
// ----------------------
void setup() {
  Wire.begin( ) ;
  ssd1306.init() ;
}

void loop() {
  ssd1306.cls( ) ;
  for (int x=127;x>=0;x-=8) {
    ssd1306.drawLine(x,0,127,63,SSD1306_WHITE) ;
  }
  for (int x=0;x<128;x+=8) {
    ssd1306.drawLine(x,63,0,0,SSD1306_WHITE) ;
  }
  delay(2000) ;

  ssd1306.cls( ) ;
  int px = 0 ;
  int py = 0 ;
  for (int i=0;i<7;i++) {
    ssd1306.drawBox(px,py,127-px,63-py,SSD1306_WHITE) ;
    px += 4 ;
    py += 4 ;
  }
  delay(2000) ;
  
  ssd1306.cls( ) ;
  for (int num=0; num < 9 ; num ++) {
    ssd1306.disp7SEG(  0 , 0 , 11 ) ;
    ssd1306.disp7SEG( 20 , 0 , num ) ;
    ssd1306.disp7SEG( 40 , 0 , num ) ;
    ssd1306.disp7SEG( 56 , 0 , 10 ) ;
    ssd1306.disp7SEG( 72 , 0 , num ) ;
    ssd1306.disp7SEG( 92 , 0 , 12 ) ;

    ssd1306.disp7SEG(  0 , 4 , 13 ) ;
    ssd1306.disp7SEG( 20 , 4 , num+1 ) ;
    ssd1306.disp7SEG( 40 , 4 , num+1 ) ;
    ssd1306.disp7SEG( 60 , 4 , 14 ) ;
    
    delay(1000) ;
  }

  ssd1306.cls( ) ;
  ssd1306.oledBitImage(20 , 0 , 88 , 8, bitmapData); // Bitmap表示
  delay(2000) ;

  ssd1306.cls( ) ;
  ssd1306.oledBitImage(20 , 0 , 96 , 8, sasara); // Bitmap表示
  delay(2000) ;

  ssd1306.cls( ) ;
  ssd1306.oledBitImage(10 , 0 , 112 , 8, tudumi); // Bitmap表示
  delay(2000) ;

}
